Subject: bug#69220: [PATCH] smerge-mode: add a function to resolve all conflicts in a file

From: Stefan Monnier <[email-masked]>
Date: Mon, 19 Feb 2024 10:31:44 -0500

> I use SMerge quite a lot, but never yet had a situation where the same
> resolution was applicable to all of the conflicts, let alone knew that
> in advance, before looking at each conflict.

Yeah, I'm not sure we need this.

It would be easy enough to provide a kind of prefix command
`smerge-apply-all-conflicts` which reads the next key and calls the
corresponding command in every conflict in the file.
It would generalize `smerge-resolve-all`.

I have needed such a thing in the past, but there are several ways to do
that already: beside telling Git beforehand how to resolve the
conflicts, you can also use things like

    C-x ( C-c ^ n C-c ^ u C-x e e e e e e e e e

- Stefan